class Driver {
    public static void main(String[] args) {
        SyncQueue buffer = new SyncQueue(5);

        Thread producer1 = new Thread(new SeqProducer(buffer));
        Thread producer2 = new Thread(new RandomProducer(buffer));
        producer1.start();
        producer2.start();

        Thread consumer1 = new Thread(new PrintConsumer(buffer));
        Thread consumer2 = new Thread(new FileConsumer(buffer, "output.txt"));
        consumer1.start();
        consumer2.start();
    }
}

