import java.io.*;

class FileConsumer extends Thread {

    private SyncQueue q;
    private FileWriter f;

    public FileConsumer(SyncQueue queue, String fn) {
        q = queue;
        f = null;
        try { f = new FileWriter(fn); }
        catch (IOException ex) { }
    }

    public void run() {
        while (f != null) {
            try {
                f.append("" + q.dequeue().toString() + "\n");
                f.flush();
            }
            catch (IOException ex) { }
            try { Thread.sleep(1000); }
            catch (InterruptedException ex) { }
        }
    }
}

